from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, Directory, Float, Boolean, Int, String

Pipits_Process_V0_1_0 = CommandToolBuilder(tool="pipits_process", base_command=["pipits_process"], inputs=[ToolInput(tag="in_its_sequences_fasta", input_type=File(optional=True), prefix="-i", doc=InputDocumentation(doc="[REQUIRED] ITS sequences in FASTA. Typically output\nfrom pipits_funits")), ToolInput(tag="in_directory_output_results", input_type=Directory(optional=True), prefix="-o", doc=InputDocumentation(doc="[REQUIRED] Directory to output results.")), ToolInput(tag="in_vsearch_identity_threshold", input_type=Float(optional=True), prefix="-d", doc=InputDocumentation(doc="VSEARCH - Identity threshold [default: 0.97]")), ToolInput(tag="in_rdp_assignment_confidence", input_type=Float(optional=True), prefix="-c", doc=InputDocumentation(doc="RDP assignment confidence threshold - RDP Classifier\nconfidence threshold for output [default: 0.85]")), ToolInput(tag="in_sample_list_file", input_type=File(optional=True), prefix="-l", doc=InputDocumentation(doc="[REQUIRED] Sample list file. Generated with\nPIPITS_GETREADPAIRSLIST prior to PIPITS_PREP")), ToolInput(tag="in_include_unique_seqs", input_type=Boolean(optional=True), prefix="--includeuniqueseqs", doc=InputDocumentation(doc="[REQUIRED] PIPITS by default removes unique sequences\nbefore clustering. This means you wouldn't have any\nsingletons. If you want singletons, then choose this\noption. It can take much longer to process.")), ToolInput(tag="in_retain_intermediate_files", input_type=Boolean(optional=True), prefix="-r", doc=InputDocumentation(doc="Retain intermediate files (Beware intermediate files\nuse excessive disk space!)")), ToolInput(tag="in_verbose_mode", input_type=Boolean(optional=True), prefix="-v", doc=InputDocumentation(doc="Verbose mode")), ToolInput(tag="in_number_of_threads", input_type=Int(optional=True), prefix="-t", doc=InputDocumentation(doc="Number of Threads [default: 1]")), ToolInput(tag="in_xms", input_type=Int(optional=True), prefix="--Xms", doc=InputDocumentation(doc="The minimum size, in bytes, of the memory allocation\npool for JVM")), ToolInput(tag="in_x_mx", input_type=Int(optional=True), prefix="--Xmx", doc=InputDocumentation(doc="The maximum size, in bytes, of the memory allocation\npool for JVM")), ToolInput(tag="in_war_cup", input_type=Boolean(optional=True), prefix="--warcup", doc=InputDocumentation(doc="Also classify using Warcup database. The most recent\nwarcup db will be downloaded automatically.")), ToolInput(tag="in_unite", input_type=String(optional=True), prefix="--unite", doc=InputDocumentation(doc="UNITE db version to be used - PIPITS will download db\nautomaticlly. Leaving this option out will default to\nthe most recent version of UNITE available to PIPITS.\nCurrently 02_02_2019.\n"))], outputs=[ToolOutput(tag="out_directory_output_results", output_type=Directory(optional=True), selector=InputSelector(input_to_select="in_directory_output_results", type_hint=File()), doc=OutputDocumentation(doc="[REQUIRED] Directory to output results."))], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Pipits_Process_V0_1_0().translate("wdl", allow_empty_container=True)

